import { Comment } from '@/models';
import { UnwrapNestedRefs } from 'vue';
export interface State {
    id: string;
    disabled: boolean;
    endpoint: string;
    comments: Comment[];
    highlightedUserIds: string[];
    highlight: string;
    replyingTo?: string;
}
export declare function provideState(state: UnwrapNestedRefs<State>): void;
export declare function useState(): State;
